## indicator-power 2.0-0ubuntu1newyork6

=== debian/changelog ===
indicator-power (2.0-0ubuntu1newyork6) precise; urgency=low

  [ Olivier Tilloy ]
  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Thu, 31 May 2012 10:03:34 +0000

indicator-power (2.0-0ubuntu1newyork5) precise; urgency=low

  * Fixed missing dependency. 

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 16 Apr 2012 20:36:24 -0300

indicator-power (2.0-0ubuntu1newyork4) precise; urgency=low

  * New release.

 -- Renato Araujo <renato@renato.lenovo>  Mon, 16 Apr 2012 20:22:53 -0300

indicator-power (2.0-0ubuntu1newyork3) precise; urgency=low

  * Fixed debian rules.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 16 Apr 2012 19:46:10 -0300

indicator-power (2.0-0ubuntu1newyork2) precise; urgency=low

  *  Implemented a alternative solution for properties changed signal.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 16 Apr 2012 17:06:20 -0300

indicator-power (2.0-0ubuntu1newyork1) precise; urgency=low

  * Newyork release.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Thu, 12 Apr 2012 14:12:34 -0300

indicator-power (2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Make menu items accessible with Orca Screen reader (LP: #953176)
    * Plug memory leaks when updating our icons

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 11 Apr 2012 10:12:54 -0500

indicator-power (1.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix for translatable strings not being extracted for i18n (LP: #957542)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 21 Mar 2012 12:47:31 -0500

indicator-power (1.92-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Mar 2012 19:43:58 +0100

indicator-power (1.91-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix for the icon not changing when state changes (LP: #933466)
    * Fix accessible descriptions (LP: #891932)

 -- Ted Gould <ted@ubuntu.com>  Thu, 23 Feb 2012 00:35:31 -0600

indicator-power (1.90-0ubuntu2) precise; urgency=low

  * src/indicator-power.c
    - cherry picked a fix for the icon not changing when state 
      changes (LP: #933466)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Feb 2012 10:41:52 -0500

indicator-power (1.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Support for hiding of icon and settings for it as well (lp: #811769)
    * Adding a name hint

 -- Ted Gould <ted@ubuntu.com>  Tue, 14 Feb 2012 16:26:48 -0600

indicator-power (0.10-0ubuntu2) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:58:07 -0500

indicator-power (0.10-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Use battery-with-a-plug when the batttery is fully charged but still 
      on AC (LP: #865342)
    - Only show a red icon when we have less than 30 minutes of battery 
      remaining (LP: #743823)
    - Fix icon creation for UP_DEVICE_STATE_CHARGING state
    - support for old name icons
    - Do not hardcode icon percentage when discharging

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 24 Oct 2011 11:07:54 -0400

indicator-power (0.9-0ubuntu2) oneiric; urgency=low

  * src/indicator-power.c
    - Add a workaround to fix the case when we get a empty bay as a real 
      battery. (LP: #863518)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 03 Oct 2011 10:35:48 -0400

indicator-power (0.9-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Use correct dgettext and g_dngettext calls (LP: #846895)
    - Ensure we use the same icon for all charge levels if we are in the 
      charging status (LP: #824629)
    - Fix gap when the power indicator is not show (LP: #842188)
    - Do not show (charged) in menu title when fully charged (LP: #850011)
    - Do not activate g-s-d, but just watch dbus for g-s-d to 
      appear (LP: #854717)
  * po/POTFILES.in
    - Fixed gsettings schema filename
  * debian/copyright
    - Removed an extra line to make dep5 compliant

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 23 Sep 2011 13:03:13 -0400

indicator-power (0.7-0ubuntu2) oneiric; urgency=low

  * debian/control
    - depend on gnome-settings-daemon instead of 
      gnome-power-manager (LP: #833397)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2011 09:13:55 -0400

indicator-power (0.7-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Use gsettings to store the status of "Show time in Menu Bar" 
      option (LP: #829853)
    - Follow standard alignment of icons in menus (LP: #829697)
    - Do not use a space before an ellipsis at the end of a string.
  * debian/control
    - Added build depends for libglib2.0-dev
  * data/org.ubuntu.indicator-power.gschema.xml.in
    - cherry pick typo fix from trunk

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 23 Aug 2011 12:44:58 -0400

indicator-power (0.6-0ubuntu2) oneiric; urgency=low

  * src/indicator-power.c
    - cherry pick fix to prevent it from showing the icon on devices that
      have no battery

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 12 Aug 2011 16:17:51 -0400

indicator-power (0.6-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Show time left to use without brackets, time left to charge with 
      brackets. (LP: #824629)
    - Fix some memory leaks
    - Don't show settings links when used in a greeter
    - Use a string when the energy source is not present instead 
      of 0%
    - only batteries status icons are allowed in the menu title
  * src/indicator-power.c
    - cherry picked crasher fix
  * debian/rules: 
    - Don't autoreconf 

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 12 Aug 2011 09:57:47 -0400

indicator-power (0.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.

