## indicator-power 12.10.6%2b15.10.20151005.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,13 @@
 # handwritten sources
 set(SERVICE_MANUAL_SOURCES
     brightness.c
-    datafiles.c
     device-provider-mock.c
     device-provider-upower.c
     device-provider.c
     device.c
     notifier.c
     testing.c
-    service.c
-    sound-player.c
-    sound-player-gst.c)
+    service.c)
 
 # generated sources
 include(GdbusCodegen)
@@ -32,11 +29,6 @@
                                  com.canonical.indicator.power
                                  Dbus
                                  ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.power.Testing.xml)
-add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-accounts-sound
-                                 com.ubuntu.touch
-                                 Dbus
-                                 /usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml)
-
 # add the bin dir to our include path so the code can find the generated header files
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
